Main Page Class Hierarchy Compound List File List Compound Members File Members

# tlay.c File Reference

`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <kom.h>`
`#include <tlay.h>`

Go to the source code of this file.

## Defines
#define | Panic(x) (fprintf(stderr,"Panic point %d in tlay.c\n",(x)),exit(-1))
#define | MAXLAY 20
## Functions
void | mnbrak (float *, float *, float *, float *, float *, float *, float(*)(float))
float | brent (float, float, float, float(*)(float), float, float *)
int | t_com (void)
int | t_model (double z, double v)
int | t_set (void)
float | t_fun (float r)
float | t_dis (float r)
double | t_lay (double r, double z, double *dtdr, double *dtdz)
double | t_direct (double r, double z, double *dtdr, double *dtdz)
double | t_pmp (double r, double z, double *dtdr, double *dtdz)
double | t_phase (int ph, double r, double z, double *dtdr, double *dtdz)
int | t_region (double r, double z, TPHASE *treg)
## Variables
int | nLay = 0
int | iRef
int | iSrc
double | zSrc
double | xSrc
double | zTop [2 *MAXLAY]
double | vLay [2 *MAXLAY]
int | initMod = 0
double | PoverS = 1.72

## Define Documentation

#define MAXLAY 20

| Definition at line 37 of file tlay.c. Referenced by t_model().

#define Panic | ( | x |  | ) | (fprintf(stderr,"Panic point %d in tlay.c\n",(x)),exit(-1))

| Definition at line 35 of file tlay.c.

## Function Documentation

float brent | ( | float | ,
|  | float | ,
|  | float | ,
|  | float(* | )(float),
|  | float | ,
|  | float * |
| ) |

| Definition at line 24 of file brent.c. References CGOLD, ITMAX, SHFT, SIGN, and ZEPS. Referenced by t_direct(), t_lay(), and t_pmp().

void mnbrak | ( | float * | ,
|  | float * | ,
|  | float * | ,
|  | float * | ,
|  | float * | ,
|  | float * | ,
|  | float(* | )(float)
| ) |

| Definition at line 25 of file mnbrak.c. References GLIMIT, GOLD, MAX, SHFT, and SIGN. Referenced by t_direct(), t_lay(), and t_pmp().

int t_com | ( | void |  | ) |

| Definition at line 62 of file tlay.c. References k_its(), k_val(), PoverS, t_lay(), t_model(), t_region(), and t_set().

double t_direct | ( | double | r,
|  | double | z,
|  | double * | dtdr,
|  | double * | dtdz
| ) |

| Definition at line 310 of file tlay.c. References brent(), iSrc, mnbrak(), nLay, t_fun(), vLay, xSrc, zSrc, and zTop. Referenced by t_phase().

float t_dis | ( | float | r | ) |

| Definition at line 191 of file tlay.c. References iSrc, xSrc, zSrc, and zTop.

float t_fun | ( | float | r | ) |

| Definition at line 166 of file tlay.c. References iSrc, vLay, and zTop. Referenced by t_direct(), t_lay(), and t_pmp().

double t_lay | ( | double | r,
|  | double | z,
|  | double * | dtdr,
|  | double * | dtdz
| ) |

| Definition at line 216 of file tlay.c. References brent(), iRef, iSrc, mnbrak(), nLay, t_fun(), t_set(), vLay, xSrc, zSrc, and zTop. Referenced by t_com(), t_phase(), and t_region().

int t_model | ( | double | z,
|  | double | v
| ) |

| Definition at line 130 of file tlay.c. References MAXLAY, nLay, vLay, and zTop. Referenced by t_com().

double t_phase | ( | int | ph,
|  | double | r,
|  | double | z,
|  | double * | dtdr,
|  | double * | dtdz
| ) |

| Definition at line 388 of file tlay.c. References nLay, PoverS, t_direct(), t_lay(), t_pmp(), and t_set().

double t_pmp | ( | double | r,
|  | double | z,
|  | double * | dtdr,
|  | double * | dtdz
| ) |

| Definition at line 347 of file tlay.c. References brent(), iSrc, mnbrak(), nLay, t_fun(), vLay, xSrc, zSrc, and zTop. Referenced by t_phase().

int t_region | ( | double | r,
|  | double | z,
|  | TPHASE * | treg
| ) |

| Definition at line 433 of file tlay.c. References TPHASE::dtdr, TPHASE::dtdz, nLay, TPHASE::phase, PoverS, TPHASE::t, and t_lay(). Referenced by t_com().

int t_set | ( | void |  | ) |

| Definition at line 155 of file tlay.c. References initMod, and nLay. Referenced by t_com(), t_lay(), and t_phase().

## Variable Documentation

int initMod = 0

| Definition at line 55 of file tlay.c. Referenced by t_set().

int iRef

| Definition at line 39 of file tlay.c. Referenced by t_lay().

int iSrc`[static]`

| Definition at line 46 of file tlay.c. Referenced by t_direct(), t_dis(), t_fun(), t_lay(), and t_pmp().

int nLay = 0`[static]`

| Definition at line 38 of file tlay.c. Referenced by t_direct(), t_lay(), t_model(), t_phase(), t_pmp(), t_region(), and t_set().

double PoverS = 1.72

| Definition at line 56 of file tlay.c. Referenced by t_com(), t_phase(), and t_region().

double vLay[2*MAXLAY]`[static]`

| Definition at line 52 of file tlay.c. Referenced by t_direct(), t_fun(), t_lay(), t_model(), and t_pmp().

double xSrc`[static]`

| Definition at line 48 of file tlay.c. Referenced by t_direct(), t_dis(), t_lay(), and t_pmp().

double zSrc`[static]`

| Definition at line 47 of file tlay.c. Referenced by t_direct(), t_dis(), t_lay(), and t_pmp().

double zTop[2*MAXLAY]`[static]`

| Definition at line 51 of file tlay.c. Referenced by t_direct(), t_dis(), t_fun(), t_lay(), t_model(), and t_pmp().